Page MenuHomePhabricator

Give access to graphite and grafana-admin to Aleksey Bekh-Ivanov (WMDE)
Closed, ResolvedPublic

Description

Phabrictor user: https://phabricator.wikimedia.org/p/Aleksey_WMDE/
LDAP User: Aleksey Bekh-Ivanov (WMDE)

He should already be in the ldap/wmde group

Aleksey needs access in order to be able to view the graphite metric directory tree https://graphite.wikimedia.org and modify grafana dashboard https://grafana.wikimedia.org

It looks like this will require the "nda" ldap group and "grafana-admin" does not provide access to graphite directly.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 10 2018, 3:10 PM
MoritzMuehlenhoff triaged this task as Normal priority.Jul 16 2018, 1:16 PM
MoritzMuehlenhoff added a project: Operations.

He needs to (digitally) sign the NDA, please write to Rachel Stallman <rstallman@wikimedia.org> and she'll prepare it for you. This also needs to be signed off by Aleksey's manager at WMDE.

RobH moved this task from Awaiting User Input to NDA Pending on the LDAP-Access-Requests board.
herron closed this task as Declined.Jul 30 2018, 1:40 PM
herron added a subscriber: herron.

Since there has been no activity here for several weeks I'll transition this to declined for now. If/when ready to proceed please re-open this task. Thanks!

WMDE-leszek reopened this task as Open.Aug 14 2018, 10:10 AM

As Aleksey's manager I hereby sign off this request. He is an WMDE engineer and needs the requested access for the stated purposes.

He'll reach out to Rachel about signing the NDA then.
I note that I remember in the past the WMF side took care of passing requests to Rachel. Should this be a preferred way of proceeding, please feel to do so.

Hi @RStallman-legalteam here's another WMDE engineer who needs an NDA signed.

NDA is fully signed and on file with legal. Thanks!

Dzahn moved this task from Closing ✔️ to Back Burner 🏛️ on the User-Addshore board.

I was able to find out the user name is "albe" by searching for all wikimedia.de email addresses.

Dzahn closed this task as Resolved.Aug 17 2018, 1:00 AM

Done! user "albe" has been added to group "nda".